## org.eclipse.m2m.atl.engine.vm
Class ATLVMTools

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.ATLVMTools

    public abstract class ATLVMTools

extends java.lang.Object

ATL VM utilities.

Method Summary
`static void` `addVMOperation(ASMOclType context, Operation op)` Adds a VM operation to a context.
`static Operation` `toVMOperation(java.lang.Class cl, java.lang.String name)` Converts an operation to a VM operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toVMOperation

    public static Operation toVMOperation(java.lang.Class cl,
                                          java.lang.String name)

  Converts an operation to a VM operation.

  Parameters:
    `cl` - the class which contains the operation
    `name` - the operation name
  Returns:
    the VM operation

### addVMOperation

    public static void addVMOperation(ASMOclType context,
                                      Operation op)

  Adds a VM operation to a context.

  Parameters:
    `context` - the context
    `op` - operation

Copyright 2007 IBM Corporation and others. All Rights Reserved.